Skip to main content
GET
/
api
/
products
/
{id}
Get Product
curl --request GET \
  --url https://qwoty.app/api/products/{id} \
  --header 'Authorization: <authorization>'
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "product_parent_id": "660e8400-e29b-41d4-a716-446655440001",
    "name": "Consulting Services",
    "api_name": "consulting_services",
    "reference": "SERV-001",
    "description": "Parent-level description",
    "recurrence_type": "recurring",
    "product_type": "service",
    "unit_of_measure": "hour",
    "catalog_ids": ["770e8400-e29b-41d4-a716-446655440002"],
    "is_active": true,
    "sku": "PROD-001-BL-L",
    "barcode": "1234567890123",
    "id_crm": "crm_123",
    "id_erp": "erp_456",
    "id_accounting": "acc_789",
    "created_at": "2024-12-21T10:30:00Z",
    "updated_at": "2024-12-21T10:30:00Z"
  }
}

Authorization

Authorization
string
required
Bearer token for authentication. Format: Bearer qwoty_your_token

Path Parameters

id
string
required
UUID of the product

Examples

curl https://qwoty.app/api/products/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer qwoty_your_token"

Response

success
boolean
Indicates if the request was successful
data
object
The product object
{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "product_parent_id": "660e8400-e29b-41d4-a716-446655440001",
    "name": "Consulting Services",
    "api_name": "consulting_services",
    "reference": "SERV-001",
    "description": "Parent-level description",
    "recurrence_type": "recurring",
    "product_type": "service",
    "unit_of_measure": "hour",
    "catalog_ids": ["770e8400-e29b-41d4-a716-446655440002"],
    "is_active": true,
    "sku": "PROD-001-BL-L",
    "barcode": "1234567890123",
    "id_crm": "crm_123",
    "id_erp": "erp_456",
    "id_accounting": "acc_789",
    "created_at": "2024-12-21T10:30:00Z",
    "updated_at": "2024-12-21T10:30:00Z"
  }
}

Error Responses

{
  "success": false,
  "error": "Product not found"
}

Notes

This endpoint provides direct access to a product using only the product ID. For accessing products through their parent product, you can also use:
  • GET /api/product-parents/{id}/products/{product_id}